## mptcpd 0.9

=== debian/changelog ===
mptcpd (0.9-1) unstable; urgency=low

  * Initial release. Closes: #1005012
  * Modifications since the first FTP Master review:
    - debian: official Git repo is now on salsa
    - debian: add gbp config
    - debian: doxygen: disable HTML_TIMESTAMP
    - debian: apply 'debmake -P' autogenerated files
    - debian: copyright: missing debian files
    - debian: copyright: mptcp_upstream.h is under GPLv2+
    - debian: readme: reproducible failing due to doxygen
    - debian: readme: link to doxygen issue
    - debian: copyright: note about incorrect SPDX entry

 -- Matthieu Baerts <matthieu.baerts@tessares.net>  Fri, 18 Mar 2022 13:23:05 +0100
