=== debian/control ===
Source: mptcpd
Section: net
Priority: optional
Maintainer: Matthieu Baerts <matthieu.baerts@tessares.net>
Build-Depends: autoconf-archive,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               libell-dev (>= 0.30),
               pkg-config,
               sudo,
               systemd
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/debian/mptcpd.git
Vcs-Browser: https://salsa.debian.org/debian/mptcpd
Homepage: https://github.com/intel/mptcpd
Rules-Requires-Root: no

Package: mptcpd
Architecture: linux-any
Multi-Arch: foreign
Depends: libmptcpd3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: mptcpd-plugins (= ${binary:Version}), mptcpize
Description: Multipath TCP Daemon
 The Multipath TCP Daemon - mptcpd - is a daemon for Linux based
 operating systems that performs Multipath TCP path management related
 operations in the user space.
 .
 It interacts with the Linux kernel through a generic Netlink
 connection to track per-connection information (e.g. available remote
 addresses), available network interfaces, request new MPTCP subflows,
 handle requests for subflows, etc.

Package: libmptcpd3
Section: libs
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Multipath TCP Daemon Library
 The Multipath TCP Daemon Library is a library to build plugins for the
 mptcpd, short for Multipath TCP Daemon. This library can be used to
 perform Multipath TCP path management related operations in the user
 space.
 .
 The daemon interacts with the Linux kernel through a generic Netlink
 connection to track per-connection information (e.g. available remote
 addresses), available network interfaces, request new MPTCP subflows,
 handle requests for subflows, etc. The plugin can react on events and
 requests path management related operations to create subflows,
 advertise addresses, etc.

Package: libmptcpd3-dev
Architecture: linux-any
Section: libdevel
Provides: libmptcpd-dev
Depends: libmptcpd3 (= ${binary:Version}), ${misc:Depends}
Suggests: libell-dev (>= 0.30), libmptcpd3-doc, pkg-config
Multi-Arch: same
Description: Multipath TCP Daemon Library - Development files
 The Multipath TCP Daemon Library is a library to build plugins for the
 mptcpd, short for Multipath TCP Daemon. This library can be used to
 perform Multipath TCP path management related operations in the user
 space.
 .
 The daemon interacts with the Linux kernel through a generic Netlink
 connection to track per-connection information (e.g. available remote
 addresses), available network interfaces, request new MPTCP subflows,
 handle requests for subflows, etc. The plugin can react on events and
 requests path management related operations to create subflows,
 advertise addresses, etc.
 .
 This package provides the development files (ie. includes, static library)
 that allows one to build software or mptcpd plugins which uses libmptcpd3.

Package: libmptcpd3-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Multipath TCP Daemon Library - documentation
 The Multipath TCP Daemon Library is a library to build plugins for the
 mptcpd, short for Multipath TCP Daemon. This library can be used to
 perform Multipath TCP path management related operations in the user
 space.
 .
 The daemon interacts with the Linux kernel through a generic Netlink
 connection to track per-connection information (e.g. available remote
 addresses), available network interfaces, request new MPTCP subflows,
 handle requests for subflows, etc. Plugins can react on events and
 requests path management related operations to create subflows,
 advertise addresses, etc.
 .
 This package provides documentation files describing how to use libmptcpd3.

Package: mptcpd-plugins
Architecture: linux-any
Multi-Arch: foreign
Depends: libmptcpd3 (= ${binary:Version}),
         mptcpd (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Multipath TCP Daemon Plug-ins
 The Multipath TCP Daemon Plug-ins package is a collection of plugins for
 mptcpd, short for Multipath TCP Daemon. These plugins can be used to
 perform Multipath TCP path management related operations in the user
 space.
 .
 The daemon interacts with the Linux kernel through a generic Netlink
 connection to track per-connection information (e.g. available remote
 addresses), available network interfaces, request new MPTCP subflows,
 handle requests for subflows, etc. Plugins can react on events and
 requests path management related operations to create subflows,
 advertise addresses, etc.

Package: mptcpize
Architecture: linux-any
Multi-Arch: foreign
Depends: libmptcpwrap0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: mptcpd
Description: Multipath TCP Converter
 The Multipath TCP Converter tool - mptcpize - helps to enable MPTCP usage
 on unmodified legacy services. It can run programs forcing MPTCP socket
 usage instead of TCP. It can also update systemd units to force them to
 run under mptcpize launcher.
 .
 To use MPTCP on a Linux kernel, it is required to explicitly create an
 MPTCP socket. In theory, it is then needed to modify an existing program
 to benefit from MPTCP. In practice, 'socket()' syscall can be modified
 to create an MPTCP socket instead of TCP. This is done with the help of
 libmptcpwrap and LD_PRELOAD.

Package: libmptcpwrap0
Section: libs
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Multipath TCP Converter Library
 The Multipath TCP Converter Library - libmptcpwrap - helps to enable MPTCP
 usage on unmodified legacy services. This library can be used with
 LD_PRELOAD to force MPTCP socket usage instead of TCP.
 .
 To use MPTCP on a Linux kernel, it is required to explicitly create an
 MPTCP socket. In theory, it is then needed to modify an existing program
 to benefit from MPTCP. In practice, 'socket()' syscall can be modified
 to create an MPTCP socket instead of TCP. This is done with the help of
 this lib and LD_PRELOAD.
