=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/mptcpd-$1\.tar\.gz/ \
  https://github.com/intel/mptcpd/tags .*/v?(\d\S+)\.tar\.gz
