## mptcpd 0.10

=== debian/changelog ===
mptcpd (0.10-1) unstable; urgency=medium

  * New (bug-fix) upstream version. Closes: #1014835
    - Inconsistent byte order handling in mptcpd was corrected.
    - A potential memory violation caused when attempting to register NULL
      networking monitoring operations with mptcpd was fixed.
    - Mptcpd now supports gcc 12.
    - ELL 0.45 or greater is supported.
    - Code coverage was further expanded.
    - The mptcpd network monitor supports loopback interface monitoring if
      so desired.
    - Improved support for reproducible builds by disabling HTML
      timestamps in Doxygen generated mptcpd documentation.
    - Some mptcpd unit tests will be skipped rather than allowed to fail
      on hosts running a kernel without MPTCP support.
  * debian: drop no longer needed patches
  * debian: add new symbols from 0.10
  * debian: rules: remove workaround for tests
  * debian: remove note about reprotest issues
  * debian: copyright: remove auto-gen files
  * debian: remove arch specific path
  * debian: rules: force using MPTCP Upstream implem
  * debian: control: switch to v4.6.1.0
  * debian: lintian-overrides: add '[]' around path
  * debian: rules: mark some tests as unstable

 -- Matthieu Baerts <matthieu.baerts@tessares.net>  Tue, 02 Aug 2022 11:24:07 +0200
