=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                pkg-config,
                sudo,
                systemd
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1.0
 Vcs-Git: https://salsa.debian.org/debian/mptcpd.git
 Vcs-Browser: https://salsa.debian.org/debian/mptcpd
 Homepage: https://github.com/intel/mptcpd
