## mptcpd 0.11

=== debian/changelog ===
mptcpd (0.11-1) unstable; urgency=medium

  * New upstream version.
    - Support for the user space MPTCP path management generic netlink API in
      the upstream Linux 5.19 kernel.
    - Propagate the "server side" flag to new_connection and
      connection_established plugin operations.
    - Support a new fullmesh address flag in the mptcpd configuration file and
      command line addr-flags configuration option.
    - Allow the mptcpd network monitor unit test to pass if it detects an
      active interface without any IPv4 or v6 addresses.
    - Fix memory leaks that occured when parsing the addr-flags and notify-flags
      entries in the mptcpd configuration.
    - Fix a use-after-free memory error in the mptcpd load-plugins configuration
      code.
    - Improve the underlying mptcpd ID manager hash algorithm.
  * debian: control: set 'Multi-Arch: foreign' for -doc
  * debian: automatically update symbols for v0.11

 -- Matthieu Baerts <matthieu.baerts@tessares.net>  Fri, 16 Dec 2022 19:12:59 +0100
