=== debian/control ===
--- 
+++ 
@@ -76,6 +76,7 @@
 Package: libmptcpd3-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Multipath TCP Daemon Library - documentation
  The Multipath TCP Daemon Library is a library to build plugins for the
