=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,8 @@
 TESTS = $(notdir $(basename $(wildcard tests/test-*)))
 TESTS_UNSTABLE = \
 	test-commands \
-	test-network-monitor
+	test-network-monitor \
+	test-listener-manager
 
 %:
 	dh $@
