## mptcpd 0.12

=== debian/changelog ===
mptcpd (0.12-1) unstable; urgency=medium

  * New upstream version.
    - mptcpd has been transferred to multipath-tcp's GitHub organisation.
    - The payload sizes of path management commands sent to the kernel were
      reduced in some cases, slightly improving performance.
    - Automatically set the "signal" flag when a TCP/IP address with a non-zero
      port is passed to the mptcpd_kpm_set_flags() function. The "signal" flag
      is required when a port is specified.
    - A potential memory violation that occurred when cleaning up resources in
      the case of a failed attempt to track a network address was corrected.
    - Several order of operation problems in the test-commands unit test were
      addressed. The test-commands unit test now succeeds as expected.
    - Skip the listener manager unit test if the kernel doesn't support MPTCP.
  * debian: copyright: the issue with an SPDX entry has been fixed
  * debian: update refs: repo has moved to multipath-tcp organisation on Github
  * debian: rules: remove workarounds for tests: fixed upstream
  * debian: control: Bump Standards-Version to 4.6.2
  * debian: lintian: remove false positive
  * debian: gbp: update TODO list

 -- Matthieu Baerts <matthieu.baerts@tessares.net>  Wed, 08 Feb 2023 14:33:10 +0100
