=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
                pkg-config,
                sudo,
                systemd
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/mptcpd.git
 Vcs-Browser: https://salsa.debian.org/debian/mptcpd
-Homepage: https://github.com/intel/mptcpd
+Homepage: https://github.com/multipath-tcp/mptcpd
 Rules-Requires-Root: no
 
 Package: mptcpd
