=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic

%:
	dh $@

# Force using the MPTCP Upstream kernel implementation
override_dh_auto_configure:
	dh_auto_configure -- \
		--with-kernel=upstream

# Build doc: dedicated target
override_dh_auto_build-indep:
	make doxygen-doc

# We don't want to make shlibs and ldconfig triggers for privates libs, e.g.
# libmptcpwrap, installed in lib/mptcpize, is a lib to be used with LD_PRELOAD
# plugins are installed in lib/mptcpd and are specific to mptcpd
override_dh_makeshlibs:
	dh_makeshlibs -a -X/usr/lib/${DEB_HOST_MULTIARCH}/mptcpd -X/usr/lib/${DEB_HOST_MULTIARCH}/mptcpize
