## mptcpd 0.13

=== debian/changelog ===
mptcpd (0.13-2) unstable; urgency=medium

  [ Matthieu Baerts (NGI0) ]
  * debian: proper explanations in README.Debian
  * debian: import upstream patch to support ELL 0.72

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 12 Feb 2025 20:44:30 +0100

mptcpd (0.13-1) unstable; urgency=medium

  [ Matthieu Baerts ]
  * New upstream version
    + mptcpd now supports ELL 0.68
    + improve documentation for address notification flag "check_route"
    + plugins can announce an address without a listener
    + new script mptcp-get-debug to collect info for bug reports
    + avoid mptcpwrap test segfault if /etc/protocols is missing
  * update symbols
  * add mptcp-get-debug script to the mptcpize package
  * extend copyright years
  * have package mptcpize suggest mptcpd

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 18 Nov 2024 09:16:48 +0100

mptcpd (0.12-5) unstable; urgency=medium

  [ Matthieu Baerts ]
  * add patches to support ELL >= 0.69;
    closes: #1084302, #1081265
  * build-depend on and suggest pkgconf (not pkg-config)
  * stop override lintian regarding missing init.d-script
  * declare compliance with Debian Policy 4.7.0
  * tidy git-buildpackage usage comment

  [ Jonas Smedegaard ]
  * wrap and sort control file and debhelper snippets
  * add myself as uploader

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 29 Oct 2024 10:42:29 +0100

mptcpd (0.12-4) unstable; urgency=medium

  * debian: build-dep on systemd-dev i/o systemd. (Closes: #1060476)
    - Michael Biebl reported that systemd.pc file is now in systemd-dev
      package.
  * debian: add new main sponsor for 2024.
    - NGI0 Core is my current sponsor for this work. Adapting metadata to be
      in sync with my Git's SoB tag.

 -- Matthieu Baerts (NGI0) <matttbe@kernel.org>  Fri, 12 Jan 2024 11:56:26 +0100

mptcpd (0.12-3) unstable; urgency=medium

  * debian: build-dep: add netbase. (Closes: #1060285)
    - Aurelien Jarno found out that the unit tests can crash when SCTP is
      disabled and netbase is not installed. A fix for the crash in the unit
      tests is available upstream, but it is not needed if netbase has been
      added to the list of dependences. This package will also help displaying a
      better warning message.
  * debian: lintian: fix mptcp.service path.
    - The path can be different depending on the architecture, since 0.12-2. The
      lintian override file was not taking this into consideration.

 -- Matthieu Baerts (NGI0) <matttbe@kernel.org>  Thu, 11 Jan 2024 14:55:36 +0100

mptcpd (0.12-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTBFS when systemd.pc changes systemdsystemunitdir. (Closes: #1052667)

  [ Matthieu Baerts ]
  * debian: update years in copyright file.
  * debian: update my email address.

 -- Matthieu Baerts <matttbe@kernel.org>  Sun, 22 Oct 2023 19:25:32 +0200
