=== debian/control ===
--- 
+++ 
@@ -1,16 +1,21 @@
 Source: mptcpd
 Section: net
 Priority: optional
-Maintainer: Matthieu Baerts <matthieu.baerts@tessares.net>
-Build-Depends: autoconf-archive,
-               debhelper-compat (= 13),
-               doxygen,
-               graphviz,
-               libell-dev (>= 0.30),
-               pkg-config,
-               sudo,
-               systemd
-Standards-Version: 4.6.2
+Maintainer: Matthieu Baerts (NGI0) <matttbe@kernel.org>
+Uploaders:
+ Jonas Smedegaard <dr@jones.dk>,
+Build-Depends:
+ autoconf-archive,
+ debhelper-compat (= 13),
+ doxygen,
+ graphviz,
+ libell-dev,
+ netbase,
+ pkgconf,
+ procps,
+ sudo,
+ systemd-dev,
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian/mptcpd.git
 Vcs-Browser: https://salsa.debian.org/debian/mptcpd
 Homepage: https://github.com/multipath-tcp/mptcpd
@@ -19,8 +24,13 @@
 Package: mptcpd
 Architecture: linux-any
 Multi-Arch: foreign
-Depends: libmptcpd3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Recommends: mptcpd-plugins (= ${binary:Version}), mptcpize
+Depends:
+ libmptcpd3 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Recommends:
+ mptcpd-plugins (= ${binary:Version}),
+ mptcpize,
 Description: Multipath TCP Daemon
  The Multipath TCP Daemon - mptcpd - is a daemon for Linux based
  operating systems that performs Multipath TCP path management related
@@ -30,13 +40,26 @@
  connection to track per-connection information (e.g. available remote
  addresses), available network interfaces, request new MPTCP subflows,
  handle requests for subflows, etc.
+ .
+ By default, this daemon will load the 'addr_adv' plugin from the
+ 'mptcpd-plugins' package, which will add MPTCP endpoints with the
+ 'subflow' flag ("client" mode) for the default in-kernel path-manager.
+ Note that this is something NetworkManager does by default. Having
+ several daemons configuring the MPTCP endpoints at the same time
+ should be avoided. This daemon is usually recommended when
+ NetworkManager is not available, or when advanced per-connection path
+ management is needed, using the userspace path-manager and a
+ custom-made made plugin using the C API.
 
 Package: libmptcpd3
 Section: libs
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Pre-Depends:
+ ${misc:Pre-Depends},
 Description: Multipath TCP Daemon Library
  The Multipath TCP Daemon Library is a library to build plugins for the
  mptcpd, short for Multipath TCP Daemon. This library can be used to
@@ -53,9 +76,15 @@
 Package: libmptcpd3-dev
 Architecture: linux-any
 Section: libdevel
-Provides: libmptcpd-dev
-Depends: libmptcpd3 (= ${binary:Version}), ${misc:Depends}
-Suggests: libell-dev (>= 0.30), libmptcpd3-doc, pkg-config
+Provides:
+ libmptcpd-dev,
+Depends:
+ libmptcpd3 (= ${binary:Version}),
+ ${misc:Depends},
+Suggests:
+ libell-dev,
+ libmptcpd3-doc,
+ pkgconf,
 Multi-Arch: same
 Description: Multipath TCP Daemon Library - Development files
  The Multipath TCP Daemon Library is a library to build plugins for the
@@ -77,7 +106,8 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends},
 Description: Multipath TCP Daemon Library - documentation
  The Multipath TCP Daemon Library is a library to build plugins for the
  mptcpd, short for Multipath TCP Daemon. This library can be used to
@@ -96,10 +126,11 @@
 Package: mptcpd-plugins
 Architecture: linux-any
 Multi-Arch: foreign
-Depends: libmptcpd3 (= ${binary:Version}),
-         mptcpd (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends:
+ libmptcpd3 (= ${binary:Version}),
+ mptcpd (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Multipath TCP Daemon Plug-ins
  The Multipath TCP Daemon Plug-ins package is a collection of plugins for
  mptcpd, short for Multipath TCP Daemon. These plugins can be used to
@@ -116,10 +147,14 @@
 Package: mptcpize
 Architecture: linux-any
 Multi-Arch: foreign
-Depends: libmptcpwrap0 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: mptcpd
+Depends:
+ libmptcpwrap0 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests:
+ iproute2,
+ mptcpd,
+ procps,
 Description: Multipath TCP Converter
  The Multipath TCP Converter tool - mptcpize - helps to enable MPTCP usage
  on unmodified legacy services. It can run programs forcing MPTCP socket
@@ -136,8 +171,11 @@
 Section: libs
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Pre-Depends:
+ ${misc:Pre-Depends},
 Description: Multipath TCP Converter Library
  The Multipath TCP Converter Library - libmptcpwrap - helps to enable MPTCP
  usage on unmodified legacy services. This library can be used with
