## mptcpd 0.14

=== debian/changelog ===
mptcpd (0.14-1) unstable; urgency=medium

  [ upstream ]
  * new release
    + new parameter for 'new_connection' and connection_established':
      deny_join_id0
    + new parameter for 'subflow_closed': error
    + support for 'laminar' in-kernel PM endpoint
    + mptcpize: LD_PRELOAD is now appended
      and GODEBUG=multipathtcp=1 env is set
    + ELL 0.72 is supported
    + musl libc compatibility
    + plugin dir should not be world writeable

  [ Matthieu Baerts (NGI0) ]
  * bump libmptcpd version
  * bump Standards-Version
  * update watch file: use file format 5
  * stop set obsolete Rules-Requires-Root

  [ Jonas Smedegaard ]
  * update watch file: separate header and main sections

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Dec 2025 00:07:14 +0100
