=== debian/control ===
--- 
+++ 
@@ -15,17 +15,16 @@
  procps,
  sudo,
  systemd-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/mptcpd.git
 Vcs-Browser: https://salsa.debian.org/debian/mptcpd
 Homepage: https://github.com/multipath-tcp/mptcpd
-Rules-Requires-Root: no
 
 Package: mptcpd
 Architecture: linux-any
 Multi-Arch: foreign
 Depends:
- libmptcpd3 (= ${binary:Version}),
+ libmptcpd4 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
@@ -51,7 +50,7 @@
  management is needed, using the userspace path-manager and a
  custom-made made plugin using the C API.
 
-Package: libmptcpd3
+Package: libmptcpd4
 Section: libs
 Architecture: linux-any
 Multi-Arch: same
@@ -73,17 +72,17 @@
  requests path management related operations to create subflows,
  advertise addresses, etc.
 
-Package: libmptcpd3-dev
+Package: libmptcpd4-dev
 Architecture: linux-any
 Section: libdevel
 Provides:
  libmptcpd-dev,
 Depends:
- libmptcpd3 (= ${binary:Version}),
+ libmptcpd4 (= ${binary:Version}),
  ${misc:Depends},
 Suggests:
  libell-dev,
- libmptcpd3-doc,
+ libmptcpd4-doc,
  pkgconf,
 Multi-Arch: same
 Description: Multipath TCP Daemon Library - Development files
@@ -100,9 +99,9 @@
  advertise addresses, etc.
  .
  This package provides the development files (ie. includes, static library)
- that allows one to build software or mptcpd plugins which uses libmptcpd3.
+ that allows one to build software or mptcpd plugins which uses libmptcpd4.
 
-Package: libmptcpd3-doc
+Package: libmptcpd4-doc
 Section: doc
 Architecture: all
 Multi-Arch: foreign
@@ -121,13 +120,13 @@
  requests path management related operations to create subflows,
  advertise addresses, etc.
  .
- This package provides documentation files describing how to use libmptcpd3.
+ This package provides documentation files describing how to use libmptcpd4.
 
 Package: mptcpd-plugins
 Architecture: linux-any
 Multi-Arch: foreign
 Depends:
- libmptcpd3 (= ${binary:Version}),
+ libmptcpd4 (= ${binary:Version}),
  mptcpd (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
