=== debian/watch ===
Version: 5

Template: Github
Owner: multipath-tcp
Project: mptcpd
